package task

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type UploadFileRouter struct {

}

func (e *UploadFileRouter) InitUploadFileRouter(Router *gin.RouterGroup) {
	GameTaskRouter := Router.Group("gameTask")
	TaskConfApi := v1.ApiGroupApp.GroupTask.TaskConfApi
	{
		GameTaskRouter.POST("addFileUpdate", TaskConfApi.UploadFile)
		GameTaskRouter.GET("downloadFile", TaskConfApi.DownloadFile)
		GameTaskRouter.POST("getScriptList", TaskConfApi.GetScriptList)
		GameTaskRouter.POST("statusChange", TaskConfApi.StatusChange)
		GameTaskRouter.POST("addFeeNotice", TaskConfApi.AddFeeNotice)

	}
}